Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::TaggedProfile_var Class Reference

`#include <IOPC.h>`

Collaboration diagram for IOP::TaggedProfile_var:

[legend]
List of all members.

## Public Methods
| TaggedProfile_var (void)
| TaggedProfile_var (TaggedProfile *)
| TaggedProfile_var (const TaggedProfile_var &)
| ~TaggedProfile_var (void)
TaggedProfile_var & | operator= (TaggedProfile *)
TaggedProfile_var & | operator= (const TaggedProfile_var &)
TaggedProfile * | operator-> (void)
const TaggedProfile * | operator-> (void) const
| operator const TaggedProfile & () const
| operator TaggedProfile & ()
| operator TaggedProfile & () const
| operator TaggedProfile *& ()
const TaggedProfile & | in (void) const
TaggedProfile & | inout (void)
TaggedProfile *& | out (void)
TaggedProfile * | _retn (void)
TaggedProfile * | ptr (void) const
## Private Attributes
TaggedProfile * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE IOP::TaggedProfile_var::TaggedProfile_var | ( | void |  | ) |

ACE_INLINE IOP::TaggedProfile_var::TaggedProfile_var | ( | TaggedProfile * | p | ) |

IOP::TaggedProfile_var::TaggedProfile_var | ( | const TaggedProfile_var & |  | ) |

ACE_INLINE IOP::TaggedProfile_var::~TaggedProfile_var | ( | void |  | ) |

## Member Function Documentation

TaggedProfile* IOP::TaggedProfile_var::_retn | ( | void |  | ) |

const TaggedProfile& IOP::TaggedProfile_var::in | ( | void |  | ) | const

TaggedProfile& IOP::TaggedProfile_var::inout | ( | void |  | ) |

IOP::TaggedProfile_var::operator const TaggedProfile & | ( |  | ) | const

IOP::TaggedProfile_var::operator TaggedProfile & | ( |  | ) | const

IOP::TaggedProfile_var::operator TaggedProfile & | ( |  | ) |

IOP::TaggedProfile_var::operator TaggedProfile *& | ( |  | ) |

ACE_INLINE const ::IOP::TaggedProfile * IOP::TaggedProfile_var::operator-> | ( | void |  | ) | const

ACE_INLINE::IOP::TaggedProfile * IOP::TaggedProfile_var::operator-> | ( | void |  | ) |

TaggedProfile_var& IOP::TaggedProfile_var::operator= | ( | const TaggedProfile_var & |  | ) |

ACE_INLINE IOP::TaggedProfile_var & IOP::TaggedProfile_var::operator= | ( | TaggedProfile * | p | ) |

TaggedProfile*& IOP::TaggedProfile_var::out | ( | void |  | ) |

TaggedProfile* IOP::TaggedProfile_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TaggedProfile* IOP::TaggedProfile_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- IOPC.h
- IOPC.i